Bug 811209 - libvirt-cim hangs forever in ovirt-node environment
libvirt-cim hangs forever in ovirt-node environment
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt-cim (Show other bugs)
17
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 811210
  Show dependency treegraph
 
Reported: 2012-04-10 08:44 EDT by Mike Burns
Modified: 2013-06-26 14:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 811210 (view as bug list)
Environment:
Last Closed: 2013-06-26 14:11:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Burns 2012-04-10 08:44:27 EDT
Description of problem:
when attempting to connect to libvirt-cim using sfcb in an ovirt-node environment, the request hangs forever.  

Debugging showed this to be a segfault in the libvirt-cim code


Version-Release number of selected component (if applicable):
latest f17 version of libvirt-cim and sfcb
ovirt-node 2.3.0

How reproducible:
always

Steps to Reproduce:
1. start ovirt-node and enable cim
2. attempt to connect using a command like:

wbemcli ein -noverify https://cim@hostname/root/virt:KVM_VirtualSystemManagementService
  
Actual results:
Hangs forever

Expected results:
Returns with valid data

Additional info:
Comment 1 Daniel Veillard 2012-04-10 09:21:09 EDT
Actually that just worked for me

paphio:~ -> wbemcli ein -noverify https://foo:bar@10.16.75.203/root/virt:KVM_VirtualSystemManagementService
10.16.75.203:5989/root/virt:KVM_VirtualSystemManagementService.SystemCreationClassName="KVM_HostSystem",SystemName="dhcp75-203.virt.bos.redhat.com",CreationClassName="KVM_VirtualSystemManagementService",Name="Management Service"
paphio:~ -> 

on the ovirt node there is the following packages:

[root@dhcp75-203 admin]# rpm -q libvirt libvirt-cim libcmpiutil sblim-sfcb
libvirt-0.9.10-10.el6.x86_64
libvirt-cim-0.6.1-3.el6.x86_64
libcmpiutil-0.5.6-1.el6.x86_64
sblim-sfcb-1.3.11-2.el6.x86_64
[root@dhcp75-203 admin]# 

The hang used to come from loading the libvirt-cim shared libraries in the
sfcbd daemon server space (this is done on-demand) this used to crash
and the resulting request was kept pending. On the specific configuration
above this seems to work,

Daniel

-------------------- more details on teh installed packages ---------------
Name        : libvirt                      Relocations: (not relocatable)
Version     : 0.9.10                            Vendor: Red Hat, Inc.
Release     : 10.el6                        Build Date: Thu 05 Apr 2012 06:52:23 AM UTC
Name        : libvirt-cim                  Relocations: (not relocatable)
Version     : 0.6.1                             Vendor: Red Hat, Inc.
Release     : 3.el6                         Build Date: Tue 13 Mar 2012 06:02:58 AM UTC
Name        : libcmpiutil                  Relocations: (not relocatable)
Version     : 0.5.6                             Vendor: Red Hat, Inc.
Release     : 1.el6                         Build Date: Thu 07 Jul 2011 04:10:30 AM UTC
Name        : sblim-sfcb                   Relocations: (not relocatable)
Version     : 1.3.11                            Vendor: Red Hat, Inc.
Release     : 2.el6                         Build Date: Wed 12 Oct 2011 09:16:41 AM UTC
---------------------------------------------------------------------------
Comment 2 Mike Burns 2012-04-10 11:21:47 EDT
Yes, this works downstream in rhev-h/ovirt-node builds, but fails with upstream.
Comment 3 Cole Robinson 2013-06-26 14:11:57 EDT
Since F17 EOL is approaching in a month, I doubt this will be fixed in F17. If this still affects you, please try reproducing against F19 and we can reopen.

Note You need to log in before you can comment on or make changes to this bug.